For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • GETConvert Country State
              • GETGet Company Addresses
              • POSTCreate A Company Address
              • GETGet A Company Address
              • PUTUpdate A Company Address
              • DELDelete A Company Address
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIAddress

Create A Company Address

Deprecated
POST
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/addresses
POST
/api/v2/io/companies/:companyId/addresses
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/addresses \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "addressLine1": "456 Elm Street",
> "city": "San Francisco",
> "country": {},
> "firstName": "John",
> "lastName": "Doe",
> "state": {},
> "zipCode": "94107"
>}'
1{
2 "code": 200,
3 "data": {
4 "addressId": 12
5 },
6 "meta": {
7 "message": "Success"
8 }
9}
Creates a new address for a company. You will specify the address fields and the type of address. The address can be billing, shipping, or both. You can also request that this address becomes the new default billing or shipping address for the company.
Was this page helpful?
Previous

Get Company Addresses

Next

Get A Company Address

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Request

Request body
addressLine1stringRequired
Typically the street address
citystringRequired
countryobjectRequired
firstNamestringRequired
Address first name
lastNamestringRequired
Address last name
stateobjectRequired
zipCodestringRequired
addressLine2stringOptional
More detailed information about where to deliver mail, such as a suite or office number
isBillingbooleanOptional
Indicates whether the address is a billing address
isDefaultBillingbooleanOptional
Indicates whether the address is the default billing address
isDefaultShippingbooleanOptional
Indicates whether the address is the default shipping address
isShippingbooleanOptional
Indicates whether the address is a shipping address
labelstringOptional
Address label
phoneNumberstringOptional
Address phone number
externalIdstringOptional

Response

Response Success
codedouble
Response status code
dataobject
Response data
metaobject

Errors

422
Unprocessable Entity Error